package com.ruoyi.project.production.domain;

import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 生产月报单价维护对象 t_monthly_production_price
 *
 * @author ruoyi
 * @date 2022-11-18
 */
public class TMonthlyProductionPrice extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long reportMonth;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long reportYear;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String subConElectricPrice;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String subConNgPrice;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String subConFgFrEuPrice;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String subConLpgPrice;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String subConHhpSteamPrice;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String subConPCondensatePrice;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String subConCwPrice;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String subConIaPaPrice;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String subConBfwPrice;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String subConEoEgPurgeGasPrice;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String subConH2FulePrice;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setReportMonth(Long reportMonth)
    {
        this.reportMonth = reportMonth;
    }

    public Long getReportMonth()
    {
        return reportMonth;
    }
    public void setReportYear(Long reportYear)
    {
        this.reportYear = reportYear;
    }

    public Long getReportYear()
    {
        return reportYear;
    }
    public void setSubConElectricPrice(String subConElectricPrice)
    {
        this.subConElectricPrice = subConElectricPrice;
    }

    public String getSubConElectricPrice()
    {
        return subConElectricPrice;
    }
    public void setSubConNgPrice(String subConNgPrice)
    {
        this.subConNgPrice = subConNgPrice;
    }

    public String getSubConNgPrice()
    {
        return subConNgPrice;
    }
    public void setSubConFgFrEuPrice(String subConFgFrEuPrice)
    {
        this.subConFgFrEuPrice = subConFgFrEuPrice;
    }

    public String getSubConFgFrEuPrice()
    {
        return subConFgFrEuPrice;
    }
    public void setSubConLpgPrice(String subConLpgPrice)
    {
        this.subConLpgPrice = subConLpgPrice;
    }

    public String getSubConLpgPrice()
    {
        return subConLpgPrice;
    }
    public void setSubConHhpSteamPrice(String subConHhpSteamPrice)
    {
        this.subConHhpSteamPrice = subConHhpSteamPrice;
    }

    public String getSubConHhpSteamPrice()
    {
        return subConHhpSteamPrice;
    }
    public void setSubConPCondensatePrice(String subConPCondensatePrice)
    {
        this.subConPCondensatePrice = subConPCondensatePrice;
    }

    public String getSubConPCondensatePrice()
    {
        return subConPCondensatePrice;
    }
    public void setSubConCwPrice(String subConCwPrice)
    {
        this.subConCwPrice = subConCwPrice;
    }

    public String getSubConCwPrice()
    {
        return subConCwPrice;
    }
    public void setSubConIaPaPrice(String subConIaPaPrice)
    {
        this.subConIaPaPrice = subConIaPaPrice;
    }

    public String getSubConIaPaPrice()
    {
        return subConIaPaPrice;
    }
    public void setSubConBfwPrice(String subConBfwPrice)
    {
        this.subConBfwPrice = subConBfwPrice;
    }

    public String getSubConBfwPrice()
    {
        return subConBfwPrice;
    }
    public void setSubConEoEgPurgeGasPrice(String subConEoEgPurgeGasPrice)
    {
        this.subConEoEgPurgeGasPrice = subConEoEgPurgeGasPrice;
    }

    public String getSubConEoEgPurgeGasPrice()
    {
        return subConEoEgPurgeGasPrice;
    }
    public void setSubConH2FulePrice(String subConH2FulePrice)
    {
        this.subConH2FulePrice = subConH2FulePrice;
    }

    public String getSubConH2FulePrice()
    {
        return subConH2FulePrice;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("reportMonth", getReportMonth())
            .append("reportYear", getReportYear())
            .append("subConElectricPrice", getSubConElectricPrice())
            .append("subConNgPrice", getSubConNgPrice())
            .append("subConFgFrEuPrice", getSubConFgFrEuPrice())
            .append("subConLpgPrice", getSubConLpgPrice())
            .append("subConHhpSteamPrice", getSubConHhpSteamPrice())
            .append("subConPCondensatePrice", getSubConPCondensatePrice())
            .append("subConCwPrice", getSubConCwPrice())
            .append("subConIaPaPrice", getSubConIaPaPrice())
            .append("subConBfwPrice", getSubConBfwPrice())
            .append("subConEoEgPurgeGasPrice", getSubConEoEgPurgeGasPrice())
            .append("subConH2FulePrice", getSubConH2FulePrice())
            .toString();
    }
}
